#pragma once

#include "CoreMinimal.h"
#include "KillerProjectile.h"
#include "UObject/NoExportTypes.h"
#include "Engine/HitResult.h"
#include "BombProjectile.generated.h"

class USphereComponent;
class UPrimitiveComponent;
class AActor;

UCLASS(Blueprintable)
class ABombProjectile : public AKillerProjectile
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	USphereComponent* _collision;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	USphereComponent* _targetDetector;

private:
	UFUNCTION()
	void OnComponentHit(UPrimitiveComponent* hitComponent, AActor* otherActor, UPrimitiveComponent* otherComponent, FVector normalImpulse, const FHitResult& hitResult);

public:
	ABombProjectile();
};

FORCEINLINE uint32 GetTypeHash(const ABombProjectile) { return 0; }
